## bzr 2.7.0

=== Makefile ===
# Copyright (C) 2005-2012, 2016 Canonical Ltd
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

# A relatively simple Makefile to assist in building parts of bzr. Mostly for
# building documentation, etc.


### Core Stuff ###

PYTHON=python
PYTHON24=python24
PYTHON25=python25
PYTHON26=python26
BZR_TARGET=release
PLUGIN_TARGET=plugin-release
PYTHON_BUILDFLAGS=

.PHONY: all clean realclean extensions pyflakes api-docs check-nodocs check

all: extensions

extensions:
	@echo "building extension modules."
	$(PYTHON) setup.py build_ext -i $(PYTHON_BUILDFLAGS)

check: docs check-nodocs

check-nodocs: extensions
	set -e
	# Generate a stream for PQM to watch.
	-$(RM) -f selftest.log
	echo `date` ": selftest starts" 1>&2
	$(PYTHON) -Werror -Wignore::ImportWarning -O ./bzr selftest -Oselftest.timeout=120 \
	  --subunit $(tests) | tee selftest.log
	echo `date` ": selftest ends" 1>&2
	# An empty log file should catch errors in the $(PYTHON)
	# command above (the '|' swallow any errors since 'make'
	# sees the 'tee' exit code for the whole line
	if [ ! -s selftest.log ] ; then exit 1 ; fi
	# Check that there were no errors reported.
	subunit-stats < selftest.log

# Run Python style checker (apt-get install pyflakes)
#
# Note that at present this gives many false warnings, because it doesn't
# know about identifiers loaded through lazy_import.
pyflakes:
	pyflakes bzrlib

pyflakes-nounused:
	# There are many of these warnings at the moment and they're not a
	# high priority to fix
	pyflakes bzrlib | grep -v ' imported but unused'

clean:
	$(PYTHON) setup.py clean
	-find . -name "*.pyc" -o -name "*.pyo" -o -name "*.so" | xargs rm -f

realclean: clean
	# Remove files which are autogenerated but included by the tarball.
	rm -f bzrlib/*_pyx.c
	rm -f bzrlib/_simple_set_pyx.h bzrlib/_simple_set_pyx_api.h

# Build API documentation
docfiles = bzr bzrlib
api-docs:
	mkdir -p api/html
	pydoctor --make-html --docformat='restructuredtext' --html-output=api/html $(docfiles)

# build tags for emacs and vim
TAGS:
	ctags -R -e bzrlib

tags:
	ctags -R bzrlib

# these are treated as phony so they'll always be rebuilt - it's pretty quick
.PHONY: TAGS tags


### Documentation ###

# Default to plain documentation for maximum backwards compatibility.
# (Post 2.0, the defaults will most likely be Sphinx-style instead.)

docs: docs-plain

clean-docs: clean-plain

html-docs: html-plain


### Man-page Documentation ###

MAN_DEPENDENCIES = bzrlib/builtins.py \
	$(wildcard bzrlib/*.py) \
	$(wildcard bzrlib/*/*.py) \
	tools/generate_docs.py \
	$(wildcard $(addsuffix /*.txt, bzrlib/help_topics/en)) 

MAN_PAGES = man1/bzr.1
man1/bzr.1: $(MAN_DEPENDENCIES)
	$(PYTHON) tools/generate_docs.py -o $@ man


### Sphinx-style Documentation ###

# Build the documentation. To keep the dependencies down to a minimum
# for distro packagers, we only build the html documentation by default.
# Sphinx 0.6 or later is preferred for the best rendering, though
# Sphinx 0.4 or later should work. See http://sphinx.pocoo.org/index.html
# for installation instructions.
docs-sphinx: html-sphinx

# Clean out generated documentation
clean-sphinx:
	cd doc/en && make clean
	cd doc/es && make clean
	cd doc/ja && make clean
	cd doc/ru && make clean
	cd doc/developers && make clean

SPHINX_DEPENDENCIES = \
        doc/en/release-notes/index.txt \
        doc/en/user-reference/index.txt \
	doc/es/Makefile \
	doc/es/make.bat \
	doc/ja/Makefile \
	doc/ja/make.bat \
	doc/ru/Makefile \
	doc/ru/make.bat \
	doc/developers/Makefile \
	doc/developers/make.bat

NEWS_FILES = $(wildcard doc/en/release-notes/bzr-*.txt)

doc/en/user-reference/index.txt: $(MAN_DEPENDENCIES)
	$(PYTHON) tools/generate_docs.py -o $@ rstx

doc/en/release-notes/index.txt: $(NEWS_FILES) tools/generate_release_notes.py
	$(PYTHON) tools/generate_release_notes.py $@ $(NEWS_FILES)

doc/%/Makefile: doc/en/Makefile
	$(PYTHON) -c "import shutil; shutil.copyfile('$<', '$@')"

doc/%/make.bat: doc/en/make.bat
	$(PYTHON) -c "import shutil; shutil.copyfile('$<', '$@')"

# Build the html docs using Sphinx.
html-sphinx: $(SPHINX_DEPENDENCIES)
	cd doc/en && make html
	cd doc/es && make html
	cd doc/ru && make html
	cd doc/ja && make html
	cd doc/developers && make html

# Build the PDF docs using Sphinx. This requires numerous LaTeX
# packages. See http://sphinx.pocoo.org/builders.html for details.
# Note: We don't currently build PDFs for the Russian docs because
# they require additional packages to be installed (to handle
# Russian hyphenation rules, etc.)
pdf-sphinx: $(SPHINX_DEPENDENCIES)
	cd doc/en && make latex
	cd doc/es && make latex
	cd doc/ja && make latex
	cd doc/developers && make latex
	cd doc/en/_build/latex && make all-pdf
	cd doc/es/_build/latex && make all-pdf
	cd doc/developers/_build/latex && make all-pdf

# Build the CHM (Windows Help) docs using Sphinx.
# Note: HtmlHelp Workshop needs to be used on the generated hhp files
# to generate the final chm files.
chm-sphinx: $(SPHINX_DEPENDENCIES)
	cd doc/en && make htmlhelp
	cd doc/es && make htmlhelp
	cd doc/ru && make htmlhelp
	cd doc/ja && make htmlhelp
	cd doc/developers && make htmlhelp


# Build the texinfo files using Sphinx.
texinfo-sphinx: $(SPHINX_DEPENDENCIES)
	cd doc/en && make texinfo
	cd doc/es && make texinfo
	cd doc/ru && make texinfo
	cd doc/ja && make texinfo
	cd doc/developers && make texinfo

### Documentation Website ###

# Where to build the website
DOC_WEBSITE_BUILD = build_doc_website

# Build and package docs into a website, complete with downloads.
doc-website: html-sphinx pdf-sphinx
	$(PYTHON) tools/package_docs.py doc/en $(DOC_WEBSITE_BUILD)
	$(PYTHON) tools/package_docs.py doc/es $(DOC_WEBSITE_BUILD)
	$(PYTHON) tools/package_docs.py doc/ru $(DOC_WEBSITE_BUILD)
	$(PYTHON) tools/package_docs.py doc/ja $(DOC_WEBSITE_BUILD)
	$(PYTHON) tools/package_docs.py doc/developers $(DOC_WEBSITE_BUILD)


### Plain Documentation ###

# While Sphinx is the preferred tool for building documentation, we still
# support our "plain" html documentation so that Sphinx is not a hard
# dependency for packagers on older platforms.

rst2html = $(PYTHON) tools/rst2html.py --link-stylesheet --footnote-references=superscript --halt=warning

# translate txt docs to html
derived_txt_files = \
	doc/en/release-notes/NEWS.txt
txt_all = \
	doc/en/tutorials/tutorial.txt \
	doc/en/tutorials/using_bazaar_with_launchpad.txt \
	doc/en/tutorials/centralized_workflow.txt \
        $(wildcard doc/es/tutorials/*.txt) \
		$(wildcard doc/ru/tutorials/*.txt) \
	doc/ja/tutorials/tutorial.txt \
	doc/ja/tutorials/using_bazaar_with_launchpad.txt \
	doc/ja/tutorials/centralized_workflow.txt \
	$(wildcard doc/*/mini-tutorial/index.txt) \
	$(wildcard doc/*/user-guide/index-plain.txt) \
	doc/en/admin-guide/index-plain.txt \
	$(wildcard doc/es/guia-usario/*.txt) \
	$(derived_txt_files) \
	doc/en/upgrade-guide/index.txt \
	doc/index.txt \
	$(wildcard doc/index.*.txt)
txt_nohtml = \
	doc/en/user-guide/index.txt \
	doc/es/user-guide/index.txt \
	doc/ja/user-guide/index.txt \
	doc/ru/user-guide/index.txt \
	doc/en/admin-guide/index.txt
txt_files = $(filter-out $(txt_nohtml), $(txt_all))
htm_files = $(patsubst %.txt, %.html, $(txt_files)) 

non_txt_files = \
       doc/default.css \
       $(wildcard doc/*/bzr-en-quick-reference.svg) \
       $(wildcard doc/*/bzr-en-quick-reference.png) \
       $(wildcard doc/*/bzr-en-quick-reference.pdf) \
       $(wildcard doc/*/bzr-es-quick-reference.svg) \
       $(wildcard doc/*/bzr-es-quick-reference.png) \
       $(wildcard doc/*/bzr-es-quick-reference.pdf) \
       $(wildcard doc/*/bzr-ru-quick-reference.svg) \
       $(wildcard doc/*/bzr-ru-quick-reference.png) \
       $(wildcard doc/*/bzr-ru-quick-reference.pdf) \
       $(wildcard doc/*/user-guide/images/*.png)

# doc/developers/*.txt files that should *not* be individually
# converted to HTML
dev_txt_nohtml = \
	doc/developers/add.txt \
	doc/developers/annotate.txt \
	doc/developers/bundle-creation.txt \
	doc/developers/commit.txt \
	doc/developers/diff.txt \
	doc/developers/directory-fingerprints.txt \
	doc/developers/gc.txt \
	doc/developers/implementation-notes.txt \
	doc/developers/incremental-push-pull.txt \
	doc/developers/index.txt \
	doc/developers/initial-push-pull.txt \
	doc/developers/merge-scaling.txt \
	doc/developers/miscellaneous-notes.txt \
	doc/developers/missing.txt \
	doc/developers/performance-roadmap-rationale.txt \
	doc/developers/performance-use-case-analysis.txt \
	doc/developers/planned-change-integration.txt \
	doc/developers/planned-performance-changes.txt \
	doc/developers/plans.txt \
	doc/developers/process.txt \
	doc/developers/revert.txt \
	doc/developers/specifications.txt \
	doc/developers/status.txt \
	doc/developers/uncommit.txt

dev_txt_all = $(wildcard $(addsuffix /*.txt, doc/developers))
dev_txt_files = $(filter-out $(dev_txt_nohtml), $(dev_txt_all))
dev_htm_files = $(patsubst %.txt, %.html, $(dev_txt_files)) 

doc/en/user-guide/index-plain.html: $(wildcard $(addsuffix /*.txt, doc/en/user-guide)) 
	$(rst2html) --stylesheet=../../default.css $(dir $@)index-plain.txt $@

#doc/es/user-guide/index.html: $(wildcard $(addsuffix /*.txt, doc/es/user-guide)) 
#	$(rst2html) --stylesheet=../../default.css $(dir $@)index.txt $@
#
#doc/ru/user-guide/index.html: $(wildcard $(addsuffix /*.txt, doc/ru/user-guide)) 
#	$(rst2html) --stylesheet=../../default.css $(dir $@)index.txt $@
#
doc/en/admin-guide/index-plain.html: $(wildcard $(addsuffix /*.txt, doc/en/admin-guide)) 
	$(rst2html) --stylesheet=../../default.css $(dir $@)index-plain.txt $@

doc/developers/%.html: doc/developers/%.txt
	$(rst2html) --stylesheet=../default.css $< $@

doc/index.html: doc/index.txt
	$(rst2html) --stylesheet=default.css $< $@

doc/index.%.html: doc/index.%.txt
	$(rst2html) --stylesheet=default.css $< $@

%.html: %.txt
	$(rst2html) --stylesheet=../../default.css $< "$@"

doc/en/release-notes/NEWS.txt: $(NEWS_FILES) tools/generate_release_notes.py
	$(PYTHON) tools/generate_release_notes.py "$@" $(NEWS_FILES)

upgrade_guide_dependencies =  $(wildcard $(addsuffix /*.txt, doc/en/upgrade-guide)) 

doc/en/upgrade-guide/index.html: $(upgrade_guide_dependencies)
	$(rst2html) --stylesheet=../../default.css $(dir $@)index.txt $@

derived_web_docs = $(htm_files) $(dev_htm_files) 
WEB_DOCS = $(derived_web_docs) $(non_txt_files)
ALL_DOCS = $(derived_web_docs) $(MAN_PAGES)

# the main target to build all the docs
docs-plain: $(ALL_DOCS)

# produce a tree containing just the final docs, ready for uploading to the web
HTMLDIR = html_docs
html-plain: docs-plain
	$(PYTHON) tools/win32/ostools.py copytree $(WEB_DOCS) $(HTMLDIR)

# clean produced docs
clean-plain:
	$(PYTHON) tools/win32/ostools.py remove $(ALL_DOCS) \
	    $(HTMLDIR) $(derived_txt_files)


### Miscellaneous Documentation Targets ###

# build a png of our performance task list
# this is no longer built by default; you can build it if you want to look at it
doc/developers/performance.png: doc/developers/performance.dot
	@echo Generating $@
	@dot -Tpng $< -o$@ || echo "Dot not installed; skipping generation of $@"


### Windows Support ###

# make all the installers completely from scratch, using zc.buildout
# to fetch the dependencies
# These are files that need to be copied into the build location to boostrap
# the build process.
# Note that the path is relative to tools/win32

=== doc/ru/_static/ru/Makefile ===
TARGETS=bzr-quick-reference.png bzr-quick-reference.pdf
OBJECTS=bzr-quick-reference.svg Makefile

all: $(TARGETS)

.SUFFIXES: .svg .png .pdf

.svg.pdf:
	rsvg-convert -d 300 -p 300 -f pdf -o $@ $<

.svg.png:
	rsvg-convert -d 300 -p 300 -z 3.3346 -f png -o $@ $<

bzr-quick-reference.png: $(OBJECTS)

bzr-quick-reference.pdf: $(OBJECTS)

clean:
	rm -f $(TARGETS)

=== debian/changelog ===
bzr (2.7.0-2ubuntu1) xenial; urgency=low

  * Resynchronise on Debian (LP: #1544487). Remaining changes:
    - Drop non-main build dependencies on python-{meliae,lzma,medusa}
  * Take change from Debian bzr to point to the proper Vcs-* URLs

 -- Vincent Ladeuil <v.ladeuil+lp@free.fr>  Thu, 11 Feb 2016 10:58:26 +0100

bzr (2.7.0-2) unstable; urgency=medium

  * Add patch 13_spurious_failure: Same root cause as 03_spurious_failure
    (client and server using the same socket in one process is racy).

 -- Vincent Ladeuil <v.ladeuil+lp@free.fr>  Wed, 10 Feb 2016 09:49:05 +0100

bzr (2.7.0-1) unstable; urgency=medium

  * New upstream release.
   + Drop unnecessary patch 05_remove_gzip_test.
   + Drop upstream applied 06_win32_paths.
   + Drop upstream applied 11_disable_warningtest.
   + Stop skipping tests in override_dh_auto_test (upstream takes care of them)

 -- Vincent Ladeuil <v.ladeuil+lp@free.fr>  Wed, 03 Feb 2016 21:05:25 +0100

bzr (2.7.0~bzr6614-1) unstable; urgency=medium

  * New upstream snapshot.
   + Drop unnecessary patch 08_disable_put_file_unicode.
   + Drop upstream applied 10_fix_float.
   + Drop upstream applied 12_autodoc_unicode.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 01 Feb 2016 14:43:21 +0000

bzr (2.6.0+bzr6606-2ubuntu1) xenial; urgency=medium

  * Resynchronise on Debian. Remaining changes:
    - Drop non-main build dependencies on python-{meliae,lzma,medusa}
  * Try re-enabling the tests that we disabled before.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 19 Nov 2015 17:25:15 +0000

bzr (2.6.0+bzr6606-2) unstable; urgency=medium

  * Add 12_autodoc_unicode: Fix build with non-ascii language settings.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 15 Nov 2015 02:27:42 +0000

bzr (2.6.0+bzr6606-1) unstable; urgency=medium

  * New upstream snapshot.
   + Fixes compatibility with newer versions of paramiko. Closes: #794146
  * Add patch 10_fix_float: Fixes compatibility with newer versions of
    testtools. Closes: #804388
  * Drop patch 09_remove_generation_time: applied upstream.
  * Specify -Derror when running selftest.
  * Add 11_disable_warningtest to work around
    https://bugs.launchpad.net/bzr/+bug/1514210.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 08 Nov 2015 13:02:47 +0000

bzr (2.6.0+bzr6602-3) unstable; urgency=medium

  [ Vincent Ladeuil ]
   * Disable the failing TestBadStatusServer tests for build and autopkgtest,
     they became racy (Closes: #787057).

  [ Andrew Starr-Bochicchio ]
  * debian/copyright: Make linitan clean by reordering paragraphs.
  * debian/bzr.bash-completion: Install bash completion file using
    dh_bash-completion.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Tue, 16 Jun 2015 21:55:08 -0400

=== debian/rules ===
#!/usr/bin/make -f

# Get the supported Python versions
PYVERS = $(shell pyversions -r -v)
# Get the default Python version
PYVERSION = $(shell pyversions -d -v)

# Callable functions to determine the correct PYTHONPATH
pythonpath = $$(ls -d $(CURDIR)/build/lib.*-$(1))
pythonpath_dbg = $$(ls -d $(CURDIR)/build/lib_d.*-$(1) 2>/dev/null || ls -d $(CURDIR)/build/lib.*$(1)-pydebug)

%:
	dh $* --with python2,sphinxdoc,bash_completion  --buildsystem=python_distutils

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
CONCURRENCY = BZR_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	[ -d debian/bzrhome ] || mkdir debian/bzrhome
	$(CONCURRENCY) \
	BZR_HOME=debian/bzrhome \
	BZR_PLUGIN_PATH=-site:-user \
	BZR_DISABLE_PLUGINS=launchpad \
	PYTHONPATH=$(wildcard $(CURDIR)/build/lib.*-$(PYVERSION)) \
	$(CURDIR)/build/scripts-$(PYVERSION)/bzr -Derror selftest -v --parallel=fork
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/bzrhome
	rm -f bzrlib/*_pyx.c
	# 'make clean-sphinx' calls Makefiles in sub-directories that are
	# created only after calling 'make docs-sphinx'. Check for them first.
	if [ -f doc/es/Makefile ]; then $(MAKE) clean-sphinx; fi
	# It also doesn't really clean every thing...
	ls doc/en/user-reference/*txt | grep -v readme.txt | xargs rm -rf
	rm -rf doc/developers/make.bat \
		doc/es/make.bat \
		doc/ja/make.bat \
		doc/ru/make.bat \
		doc/developers/Makefile \
		doc/es/Makefile \
		doc/ja/Makefile \
		doc/ru/Makefile \
		doc/*/_build/ \
		doc/en/release-notes/index.txt

override_dh_install:
	find debian/tmp/ -name "*.pyc" | xargs rm -f
	find debian/tmp/ -name "*.pyo" | xargs rm -f
	mkdir -p debian/python-bzrlib.tests/usr/lib \
		debian/python-bzrlib.tests/usr/share/pyshared/bzrlib
	for py in $(shell pyversions -r); do \
		mkdir -p debian/python-bzrlib.tests/usr/lib/$$py/dist-packages/bzrlib; \
		mv debian/tmp/usr/lib/$$py/dist-packages/bzrlib/tests \
			debian/python-bzrlib.tests/usr/lib/$$py/dist-packages/bzrlib/tests; \
	done
	if [ -d debian/tmp/usr/share/locale ]; then \
		mkdir -p debian/python-bzrlib/usr/share; \
		mv debian/tmp/usr/share/locale debian/python-bzrlib/usr/share/locale; \
	fi;
	dh_install --list-missing --fail-missing
	# Install the documentation; since html and txt and intermixed
	# under doc/, this is handier than trying to do it from bzr-doc.install.
	( cd doc && find -name "*.txt" -not -wholename "*/_build/*" -print0 ) | \
		xargs -r0 -i'{}' -n1 install -D -m 644 'doc/{}' \
		"debian/bzr-doc/usr/share/doc/bzr/txt/{}"

override_dh_auto_build:
	dh_auto_build
	$(MAKE) docs-sphinx

override_dh_compress:
	dh_compress -X.xvg -X.pdf

override_dh_strip:
	dh_strip -ppython-bzrlib --dbg-package=python-bzrlib-dbg

override_dh_link:
	# symlink identical resources.
	cd debian/bzr-doc/usr/share/doc && fdupes -rnq . | while read line; do \
		if [ -z "$$line" ]; then \
			target=""; \
		elif [ -z "$$target" ]; then \
			target=$$line; \
		else \
			echo "symlinking duplicate file '$$line' to '$$target'"; \
			ln -sf /usr/share/doc/"$$target" "$$line"; \
		fi; \
	done
	dh_link

override_dh_sphinxdoc:
ifneq "$(shell dh_listpackages | grep -- -doc)" ""
	dh_sphinxdoc -X searchtools.js
endif
	# dh_sphinxdoc chokes if we delete the extra licence files before it runs.
	find debian/bzr-doc/usr/share/doc/bzr -name "licence.txt" -print | xargs rm -f

=== debian/tests/control ===
Tests: testsuite
Depends: bzr, python-bzrlib.tests, python-subunit, ca-certificates, python-meliae, python-lzma, python-pycurl, python-medusa
Restrictions: allow-stderr

## bzr 2.7.0%2Bbzr6622

=== debian/changelog ===
bzr (2.7.0+bzr6622-10) unstable; urgency=medium

  * Add patch 29_commit_message_encoding_test: Fix running of
    test_edit_commit_message when locale doesn't support non-ascii
    characters. Closes: #883743
  * Bump standard sversion to 4.1.2 (no changes).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 09 Dec 2017 02:52:47 +0000

bzr (2.7.0+bzr6622-9) unstable; urgency=medium

  * Add patch 28_fix_matchers: fix order of got/expected for matchers to
    cope with new testtools. Closes: #881194

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 09 Nov 2017 00:23:05 +0000

bzr (2.7.0+bzr6622-8) unstable; urgency=medium

  * Drop recommends/suggests of python-gpgme, due do be dropped from
    Debian. Closes: #876982

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 27 Sep 2017 23:46:28 +0100

bzr (2.7.0+bzr6622-7) unstable; urgency=high

  * Add patch 27_fix_sec_ssh: Strip out hostnames starting with dash in
    bzr+ssh URLs, as they might allow an attacker to provide SSH command-
    line flags. CVE-2017-14176 Closes: #874429, LP: #1710979

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Aug 2017 16:07:06 +0000

bzr (2.7.0+bzr6622-6) unstable; urgency=medium

  * Depend on version of cython that produces reproducible C files.
  * Just ship a refreshed copy of ssl certs, rather than generating
    them as part of package build - which introduces
    reproducibility issues.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 08 Aug 2017 00:30:58 +0000

bzr (2.7.0+bzr6622-5) unstable; urgency=medium

  * Bump standards version to 4.0.0 (no changes).
  * Regenerate test ssl certs at build time, so they won't be expired
    when the test suite runs. Should fix reproducibility.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 31 Jul 2017 22:56:07 +0000

bzr (2.7.0+bzr6622-4) unstable; urgency=medium

  * Use 'localhost' rather than '127.0.0.1' in SSL certificates, as the
    latter trips up pycurl. Closes: #868966
  * Correctly handle spaces in filenames when symlinking duplicate
    files. Closes: #847495

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 30 Jul 2017 15:14:59 +0000

bzr (2.7.0+bzr6622-3) unstable; urgency=medium

  * Stop installing bzr.1, only install the alternatives symlink.
    Closes: #865369

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 20 Jun 2017 20:22:06 +0000

bzr (2.7.0+bzr6622-2) unstable; urgency=medium

  * Update SNI patch from upstream branch, fixing SSL-related tests.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 17 Jun 2017 00:33:03 +0000

bzr (2.7.0+bzr6622-1) experimental; urgency=medium

  * Use alternatives for /usr/bin/bzr, so that breezy can install an
    alternative version.
  * New upstream snapshot.
  * Drop patch 16_paramiko_compat: applied upstream.
  * Refresh patch 15_autodoc_source_epoch.
  * Drop patch 18_diff_binaries: applied upstream.
  * Drop patch 19_fix_long_creds: applied upstream.
  * Drop patch 20_fix_lazy_regex: applied upstream.
  * Drop patch 21_pycurl_proxy_url: applied upstream.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 02 Jun 2017 01:03:07 +0000

bzr (2.7.0+bzr6619-7) unstable; urgency=medium

  * Add patch 23_ssl_host: avoid extra checking of server cert. Closes:
    #850960

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 11 Jan 2017 23:48:19 +0000

bzr (2.7.0+bzr6619-6) unstable; urgency=low

  * Disable lzma support on m68k, powerpcspe, sh4 where python-lzma is
    not available.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 26 Dec 2016 00:38:32 +0000

bzr (2.7.0+bzr6619-5) unstable; urgency=low

  * Order files by name when eliminating dupes, in an attempt to make
    the build reproducible.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 25 Dec 2016 14:41:05 +0000

bzr (2.7.0+bzr6619-4) unstable; urgency=medium

  * Add patch 22_test_copy_to: skip test_copy_to, as it's failing on
    armel.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 07 Dec 2016 22:12:55 +0000

bzr (2.7.0+bzr6619-3) unstable; urgency=medium

  * Fix compatibility with python2.7 2.7.12-7. Patch by Vincent.
    Closes: #845335 LP: #1644003
  * Sanitize URL scheme when running HTTP proxy tests for curl.
    LP: #1645017

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 26 Nov 2016 16:17:06 +0000

bzr (2.7.0+bzr6619-2) unstable; urgency=medium

  * Add 18_diff_binaries: With diffutils > 3.5, diff stop exiting with '2'
    on binary files. LP: #1622039
    Closes: #837268

  * Add 19_fix_long_creds: Fix http Basic auth with credentials longer
    than ~57 characters. LP: #1606203

 -- Vincent Ladeuil <v.ladeuil+lp@free.fr>  Fri, 09 Sep 2016 16:00:49 +0200

bzr (2.7.0+bzr6619-1) unstable; urgency=medium

  * Bump standards version to 3.9.8 (no changes).
  * New upstream snapshot.
  * Be consistent in what file is the target of symlinks when creating
    symlinks for documentation.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 06 Jun 2016 19:18:34 +0000

bzr (2.7.0-7) unstable; urgency=low

  * Add patch 17_reproducible_makefile: Fix order of documentation files
    processing in Makefiles, making build reproducible.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 06 Jun 2016 18:38:42 +0000

bzr (2.7.0-6) unstable; urgency=low

  * Set PYTHONHASHSEED to 0 when building sphinx docs, to force
    reproducible build.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 15 May 2016 18:31:28 +0000

bzr (2.7.0-5) unstable; urgency=medium

  * Enable PGP checking of upstream tarball.
  * Cope with paramiko making argument to SFTPFile.prefetch() mandatory.
    Closes: #822116

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 09 Apr 2016 14:45:18 +0000

bzr (2.7.0-4) unstable; urgency=low

  * Add patch 15_autodoc_source_epoch: Support SOURCE_DATE_EPOCH for
    timestamp used in manpages. Improves reproducibility.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 09 Apr 2016 13:54:38 +0000

bzr (2.7.0-3) unstable; urgency=low

  * Add Vincent to uploaders.
  * Add 14_en_user_guide patch: Make bzr build more reproducible: when
    locale is set to French, don't leak French phrases into English user-


## bzr 2.7.0+bzr6619

=== Makefile ===
--- 
+++ 
@@ -148,7 +148,7 @@
 NEWS_FILES = $(wildcard doc/en/release-notes/bzr-*.txt)
 
 doc/en/user-reference/index.txt: $(MAN_DEPENDENCIES)
-	$(PYTHON) tools/generate_docs.py -o $@ rstx
+	LANGUAGE=C $(PYTHON) tools/generate_docs.py -o $@ rstx
 
 doc/en/release-notes/index.txt: $(NEWS_FILES) tools/generate_release_notes.py
 	$(PYTHON) tools/generate_release_notes.py $@ $(NEWS_FILES)
@@ -361,4 +361,3 @@
 # to fetch the dependencies
 # These are files that need to be copied into the build location to boostrap
 # the build process.
-# Note that the path is relative to tools/win32

=== debian/changelog ===
bzr (2.7.0+bzr6619-7+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Use 'localhost' rather than '127.0.0.1' in SSL certificates, as the latter
    trips up pycurl (Closes: #868966)
  * Ship a refreshed copy of the ssl certs used in testsuite
  * Prevent SSH command line options from being specified in bzr+ssh:// URLs
    (CVE-2017-14176) (Closes: #874429)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 27 Nov 2017 21:12:18 +0100

=== debian/control ===
Source: bzr
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Wouter van Heyst <larstiq@larstiq.dyndns.org>,
           Andrew Starr-Bochicchio <asb@debian.org>,
           Jelmer Vernooĳ <jelmer@debian.org>,
           Vincent Ladeuil <v.ladeuil+lp@free.fr>
Build-Depends: bash-completion,
               ca-certificates,
               cython-dbg | python-pyrex,
               debhelper (>= 9),
               fdupes,
               python (>= 2.6.6-3),
               python-all-dbg (>= 2.6.6-3),
               python-all-dev (>= 2.6.6-3),
               python-configobj (>= 4.7.2+ds-2),
               python-docutils,
               python-lzma-dbg [!m68k !powerpcspe !sh4],
               python-medusa,
               python-meliae-dbg,
               python-paramiko (<< 1.12.0) | python-paramiko (>= 1.14.1),
               python-pycurl-dbg,
               python-sphinx (>= 1.0.7+dfsg),
               python-subunit,
               python-testtools (>= 0.9.5~)
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
Vcs-Bzr: http://anonscm.debian.org/bzr/pkg-bazaar/bzr/2.7
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/bzr/2.7
Homepage: http://bazaar-vcs.org
XS-Testsuite: autopkgtest

Package: bzr
Recommends: python-gpgme
Architecture: all
Depends: python-bzrlib (<= ${source:Version}.1~),
         python-bzrlib (>= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Breaks: bzr-pqm (<< 1.4.0~bzr80),
        bzr-xmloutput (<< 0.8.8+bzr160),
        python-bzrlib (<< 2.4.0~beta3~)
Suggests: bzr-doc,
          bzrtools,
          python-bzrlib.tests
Description: easy to use distributed version control system
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 Publishing of branches can be done over plain HTTP, that is, no special
 software is needed on the server to host Bazaar branches. Branches can
 be pushed to the server via sftp (which most SSH installations come
 with), FTP, or over a custom and faster protocol if bzr is installed in
 the remote end.
 .
 Merging in Bazaar is easy, as the implementation is able to avoid many
 spurious conflicts, deals well with repeated merges between branches,
 and is able to handle modifications to renamed files correctly.
 .
 Bazaar is written in Python, and has a flexible plugin interface which
 can be used to extend its functionality. Many plugins exist, providing
 useful commands (bzrtools), graphical interfaces (qbzr), or native
 interaction with Subversion branches (bzr-svn).
 .
 Install python-paramiko if you are going to push branches to remote
 hosts with sftp.

Package: python-bzrlib
Architecture: any
Section: python
Depends: python-configobj,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: ca-certificates,
            python-launchpadlib,
            ssh-client | python-paramiko
Conflicts: python-paramiko (<< 1.14.1)
Suggests: python-bzrlib-dbg,
          python-bzrlib.tests,
          python-gpgme,
          python-kerberos (>= 1.0+svn2455-1),
          python-paramiko,
          python-pycurl,
          xdg-utils
Breaks: bzr (<< 2.3.0-2),
        bzr-grep
Provides: bzr-grep,
          ${python:Provides}
Replaces: bzr (<< 2.3.0-2),
          bzr-grep
Description: distributed version control system - python library
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 This package contains the Bazaar Python library.
 .
 Install python-paramiko for sftp transport support.

Package: python-bzrlib-dbg
Architecture: any
Priority: extra
Section: debug
Depends: python-bzrlib (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Recommends: python-dbg
Suggests: python-gpgme-dbg,
          python-lzma-dbg,
          python-meliae-dbg
Description: distributed version control system - debug extension
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 This package contains the debug extension for the Bazaar Python library.

Package: python-bzrlib.tests
Architecture: all
Section: python
Depends: python-bzrlib (<= ${source:Version}.1~),
         python-bzrlib (>= ${source:Version}),
         python-testtools (>= 0.9.5~),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-subunit
Breaks: python-bzrlib (<< 2.4.0~beta1-2)
Provides: ${python:Provides}
Replaces: python-bzrlib (<< 2.4.0~beta1-2)
Description: distributed version control system - testsuite
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 This package contains the bzrlib test infrastructure and testsuite,
 which is required to run the 'bzr selftest' command and to run
 plugin tests.

Package: bzr-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: bzr
Replaces: bzr (<< 2.0.1)
Breaks: bzr (<< 2.0.1)
Description: easy to use distributed version control system (documentation)
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 Publishing of branches can be done over plain HTTP, that is, no special
 software is needed on the server to host Bazaar branches. Branches can
 be pushed to the server via sftp (which most SSH installations come
 with), FTP, or over a custom and faster protocol if bzr is installed in
 the remote end.
 .
 Merging in Bazaar is easy, as the implementation is able to avoid many
 spurious conflicts, deals well with repeated merges between branches,
 and is able to handle modifications to renamed files correctly.
 .
 Bazaar is written in Python, and has a flexible plugin interface which
 can be used to extend its functionality. Many plugins exist, providing
 useful commands (bzrtools), graphical interfaces (qbzr), or native
 interaction with Subversion branches (bzr-svn).
 .
 This package provides the documentation.

=== debian/rules ===
--- 
+++ 
@@ -70,7 +70,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	$(MAKE) docs-sphinx
+	PYTHONHASHSEED=0 $(MAKE) docs-sphinx
 
 override_dh_compress:
 	dh_compress -X.xvg -X.pdf
@@ -80,16 +80,13 @@
 
 override_dh_link:
 	# symlink identical resources.
-	cd debian/bzr-doc/usr/share/doc && fdupes -rnq . | while read line; do \
-		if [ -z "$$line" ]; then \
-			target=""; \
-		elif [ -z "$$target" ]; then \
-			target=$$line; \
-		else \
-			echo "symlinking duplicate file '$$line' to '$$target'"; \
-			ln -sf /usr/share/doc/"$$target" "$$line"; \
-		fi; \
-	done
+	( cd debian/bzr-doc/usr/share/doc && fdupes -o name -r1q . | while read s; do \
+	      set -- $$(echo $$s | tr ' ' '\n' | sort); \
+	      f=$$1; shift; \
+	      for d; do \
+		  ln -sf /usr/share/doc/"$$d" "$$f"; \
+	      done; \
+	done )
 	dh_link
 
 override_dh_sphinxdoc:

## bzr 2.7.0+bzr6622

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2012, 2016 Canonical Ltd
+# Copyright (C) 2005-2012, 2016, 2017 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
bzr (2.7.0+bzr6622-17ubuntu1) eoan; urgency=medium

  * Keep all the packaging improvements in 17,
    but drop the test removal, since it breaks all the reverse-deps,
    and for now we still have python-testtools in eoan
    (RC bug in Debian ongoing)
  * Keep compat level to 11

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Sep 2019 18:48:50 +0200

bzr (2.7.0+bzr6622-17) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove patches missing from debian/patches/series.

  [ Jelmer Vernooĳ ]
  * Stop running the testsuite, and drop python-bzrlib.tests since
    testtools is no longer packaged for Python 2. See
    https://lists.debian.org/debian-python/2019/09/msg00110.html for
    background.
  * Bump standards version to 4.4.0 (no changes).
  * Bump debhelper from old 10 to 12.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 16 Sep 2019 10:32:02 +0000

bzr (2.7.0+bzr6622-16) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 10.
  * Change priority extra to priority optional.
  * Re-export upstream signing key without extra signatures.

  [ Jelmer Vernooĳ ]
  * Drop dependency on python-meliae, which is about to be removed from
    unstable.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 31 Aug 2019 22:00:55 +0000

bzr (2.7.0+bzr6622-15) unstable; urgency=medium

  * Use secure URI in Homepage field.
  * Add 30_test_too_much: Disable flaky test_too_much tests. Closes:
    #913810

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 23 Nov 2018 16:41:56 +0000

bzr (2.7.0+bzr6622-14) unstable; urgency=medium

  * Drop unused bzr-builddeb.conf.
  * Use secure copyright file specification URI.
  * Remove unnecessary X-Python{,3}-Version field in debian/control.
  * Trim trailing whitespace.
  * Drop dependency on removed python-lzma-dbg. Closes: #912050
  * Drop build dependency on python-pycurl-dbg and python-meliae-dbg.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 13 Nov 2018 03:01:46 +0000

bzr (2.7.0+bzr6622-13) unstable; urgency=medium

  * Add upstream metadata.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 08 Sep 2018 19:22:57 +0100

bzr (2.7.0+bzr6622-12) unstable; urgency=medium

  * Add missing build dependency on python-stemmer; needed to build
    documentation with Sphinx. Closes: #907381

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 05 Sep 2018 20:05:27 +0100

bzr (2.7.0+bzr6622-11) unstable; urgency=medium

  * Update Vcs-Bzr URL to point at Launchpad, now that alioth's bzr
    hosting is gone.
  * Update X-Python-Version field to 2.7.
  * List global files wildcard first in debian/copyright.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 12 May 2018 13:55:03 +0000

=== debian/control ===
--- 
+++ 
@@ -8,31 +8,28 @@
            Vincent Ladeuil <v.ladeuil+lp@free.fr>
 Build-Depends: bash-completion,
                ca-certificates,
-               cython-dbg | python-pyrex,
-               debhelper (>= 9),
+               cython-dbg (>= 0.25.2-2),
                fdupes,
+               openssl,
                python (>= 2.6.6-3),
                python-all-dbg (>= 2.6.6-3),
                python-all-dev (>= 2.6.6-3),
                python-configobj (>= 4.7.2+ds-2),
                python-docutils,
-               python-lzma-dbg [!m68k !powerpcspe !sh4],
+               python-lzma [!m68k !powerpcspe !sh4],
                python-medusa,
-               python-meliae-dbg,
                python-paramiko (<< 1.12.0) | python-paramiko (>= 1.14.1),
-               python-pycurl-dbg,
+               python-pycurl,
                python-sphinx (>= 1.0.7+dfsg),
                python-subunit,
-               python-testtools (>= 0.9.5~)
-Standards-Version: 3.9.8
-X-Python-Version: >= 2.6
-Vcs-Bzr: http://anonscm.debian.org/bzr/pkg-bazaar/bzr/2.7
-Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/bzr/2.7
-Homepage: http://bazaar-vcs.org
-XS-Testsuite: autopkgtest
+               python-testtools (>= 2.3.0~),
+               python-stemmer,,debhelper-compat (= 11)
+Standards-Version: 4.4.0
+Vcs-Bzr: https://code.launchpad.net/~debian-bazaar/debian/sid/bzr/unstable
+Vcs-Browser: https://code.launchpad.net/~debian-bazaar/debian/sid/bzr/unstable
+Homepage: https://bazaar-vcs.org
 
 Package: bzr
-Recommends: python-gpgme
 Architecture: all
 Depends: python-bzrlib (<= ${source:Version}.1~),
          python-bzrlib (>= ${source:Version}),
@@ -80,7 +77,6 @@
 Conflicts: python-paramiko (<< 1.14.1)
 Suggests: python-bzrlib-dbg,
           python-bzrlib.tests,
-          python-gpgme,
           python-kerberos (>= 1.0+svn2455-1),
           python-paramiko,
           python-pycurl,
@@ -102,7 +98,7 @@
 
 Package: python-bzrlib-dbg
 Architecture: any
-Priority: extra
+Priority: optional
 Section: debug
 Depends: python-bzrlib (= ${binary:Version}),
          ${misc:Depends},
@@ -110,9 +106,7 @@
          ${shlibs:Depends}
 Provides: ${python:Provides}
 Recommends: python-dbg
-Suggests: python-gpgme-dbg,
-          python-lzma-dbg,
-          python-meliae-dbg
+Suggests: python-lzma-dbg
 Description: distributed version control system - debug extension
  Bazaar is a distributed version control system designed to be easy to
  use and intuitive, able to adapt to many workflows, reliable, and
@@ -125,7 +119,7 @@
 Section: python
 Depends: python-bzrlib (<= ${source:Version}.1~),
          python-bzrlib (>= ${source:Version}),
-         python-testtools (>= 0.9.5~),
+         python-testtools (>= 2.3.0~),
          ${misc:Depends},
          ${python:Depends}
 Suggests: python-subunit

=== debian/rules ===
--- 
+++ 
@@ -61,7 +61,12 @@
 		mkdir -p debian/python-bzrlib/usr/share; \
 		mv debian/tmp/usr/share/locale debian/python-bzrlib/usr/share/locale; \
 	fi;
-	dh_install --list-missing --fail-missing
+	mv debian/tmp/usr/bin/bzr debian/tmp/usr/bin/bzr.bzr
+	mkdir -p debian/tmp/usr/share/man/man1
+	mv debian/tmp/usr/man/man1/bzr.1 \
+	   debian/tmp/usr/share/man/man1/bzr.bzr.1
+	dh_install
+	dh_missing --fail-missing
 	# Install the documentation; since html and txt and intermixed
 	# under doc/, this is handier than trying to do it from bzr-doc.install.
 	( cd doc && find -name "*.txt" -not -wholename "*/_build/*" -print0 ) | \
@@ -80,13 +85,16 @@
 
 override_dh_link:
 	# symlink identical resources.
-	( cd debian/bzr-doc/usr/share/doc && fdupes -o name -r1q . | while read s; do \
-	      set -- $$(echo $$s | tr ' ' '\n' | sort); \
-	      f=$$1; shift; \
-	      for d; do \
-		  ln -sf /usr/share/doc/"$$d" "$$f"; \
-	      done; \
-	done )
+	cd debian/bzr-doc/usr/share/doc && fdupes -o name -rnq . | while read line; do \
+		if [ -z "$$line" ]; then \
+			target=""; \
+		elif [ -z "$$target" ]; then \
+			target=$$line; \
+		else \
+			echo "symlinking duplicate file '$$line' to '$$target'"; \
+			ln -sf /usr/share/doc/"$$target" "$$line"; \
+		fi; \
+	done
 	dh_link
 
 override_dh_sphinxdoc:

## bzr 2.7.0+bzr6622+brz

=== debian/changelog ===
bzr (2.7.0+bzr6622+brz) unstable; urgency=medium

  * Add transitional packages to brz.
  * Change priority extra to priority optional.
  * Move transitional packages bzr, python-bzrlib, python-bzrlib-dbg,
    python-bzrlib.tests, bzr-doc to oldlibs/optional per policy 4.0.1.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 19 Sep 2019 22:25:39 +0000

=== debian/control ===
Source: bzr
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Wouter van Heyst <larstiq@larstiq.dyndns.org>,
           Andrew Starr-Bochicchio <asb@debian.org>,
           Jelmer Vernooĳ <jelmer@debian.org>,
           Vincent Ladeuil <v.ladeuil+lp@free.fr>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.0
Vcs-Bzr: https://code.launchpad.net/~debian-bazaar/debian/sid/bzr/unstable
Vcs-Browser: https://code.launchpad.net/~debian-bazaar/debian/sid/bzr/unstable
Homepage: https://bazaar-vcs.org

Package: bzr
Architecture: all
Depends: brz, ${misc:Depends}
Breaks: bzr-builddeb (<< 2.8.12+brz),
        bzr-email (<< 0.0.1~bzr58+brz),
        bzr-fastimport (<< 0.13.0+bzr361+brz),
        bzr-git (<< 0.6.13+bzr1650+brz),
        bzr-loom (<< 2.2.0+brz),
        bzr-stats (<< 0.1.0+bzr54+brz),
        bzr-upload (<< 1.1.0+brz),
        bzrtools (<< 2.6.0+brz),
        loggerhead (<< 1.19~bzr479+dfsg+brz),
        loggerhead-doc (<< 1.19~bzr479+dfsg+brz)
Description: transitional dummy package for brz
 This is a transitional package, replacing the Bazaar packaging
 with the Breezy packaging.
 .
 It can be safely removed after an upgrade.
Section: oldlibs

Package: bzr-doc
Architecture: all
Section: oldlibs
Depends: brz-doc, ${misc:Depends}
Description: transitional dummy package for brz-doc
 This is a transitional package, replacing the Bazaar documentation
 packaging with the Breezy documentation packaging.
 .
 It can be safely removed after an upgrade.

## bzr 2.7.0+bzr6622+brzbuild1

=== debian/changelog ===
bzr (2.7.0+bzr6622+brzbuild1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 23 Nov 2025 18:54:40 +0000

## bzr 2.7.0.1

=== debian/changelog ===
bzr (2.7.0.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: cd5226123cf6373dd19faeb32cbe0cad3cb9d183']

 -- shuttle <shuttle@deepin.com>  Wed, 11 Dec 2019 19:58:00 +0000
